@if (iterationViewComponentData) {
  <div class="form-grid" [class.small]="isSmallLayout">
    <sqtm-core-label
      [text]="
        'sqtm-core.campaign-workspace.planning.scheduled-start' | translate
      "
      class="m-r-5"
    >
    </sqtm-core-label>
    <sqtm-core-editable-date-field
      #scheduledStartDate
      (confirmEvent)="
        updateScheduledStartDate(
          $event,
          iterationViewComponentData.iteration.scheduledEndDate
        )
      "
      [allowEmptyValue]="true"
      [disabledDate]="disabledScheduledStartDate"
      [editable]="canEdit"
      [layout]="'compact'"
      [value]="iterationViewComponentData.iteration.scheduledStartDate"
      [attr.data-test-field-id]="'scheduledStartDate'"
    ></sqtm-core-editable-date-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.planning.actual-start' | translate"
      class="m-r-5"
    >
    </sqtm-core-label>
    <div class="flex-row">
      <sqtm-core-editable-date-field
        #actualStartDate
        (confirmEvent)="
          updateActualStartDate(
            $event,
            iterationViewComponentData.iteration.actualEndDate
          )
        "
        [allowEmptyValue]="true"
        [disabledDate]="disabledActualStartDate"
        [editable]="isActualStartDateEditable"
        [layout]="'compact'"
        [value]="iterationViewComponentData.iteration.actualStartDate"
        class="m-r-5"
        [attr.data-test-field-id]="'actualStartDate'"
      >
      </sqtm-core-editable-date-field>
      <sqtm-core-editable-check-box
        [editable]="canEdit"
        (confirmEvent)="updateActualStartAuto($event)"
        [sqtmCoreEntityViewEditableCheckbox]="'actualStartAuto'"
        [attr.data-test-field-id]="'actualStartAuto'"
      >
      </sqtm-core-editable-check-box>
      <label class="txt-ellipsis m-l-5">{{
        'sqtm-core.entity.test-case.importance.auto' | translate
      }}</label>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.planning.scheduled-end' | translate"
      class="m-r-5"
    >
    </sqtm-core-label>
    <sqtm-core-editable-date-field
      #scheduledEndDate
      [editable]="canEdit"
      [layout]="'compact'"
      [allowEmptyValue]="true"
      [disabledDate]="disabledScheduledEndDate"
      [value]="iterationViewComponentData.iteration.scheduledEndDate"
      (confirmEvent)="
        updateScheduledEndDate(
          $event,
          iterationViewComponentData.iteration.scheduledStartDate
        )
      "
      [attr.data-test-field-id]="'scheduledEndDate'"
    >
    </sqtm-core-editable-date-field>
    <sqtm-core-label
      class="m-r-5"
      [text]="'sqtm-core.campaign-workspace.planning.actual-end' | translate"
    >
    </sqtm-core-label>
    <div class="flex-row">
      <sqtm-core-editable-date-field
        class="m-r-5"
        #actualEndDate
        [allowEmptyValue]="true"
        [disabledDate]="disabledActualEndDate"
        (confirmEvent)="
          updateActualEndDate(
            $event,
            iterationViewComponentData.iteration.actualStartDate
          )
        "
        [editable]="isActualEndDateEditable"
        [layout]="'compact'"
        [value]="iterationViewComponentData.iteration.actualEndDate"
        [attr.data-test-field-id]="'actualEndDate'"
      >
      </sqtm-core-editable-date-field>
      <sqtm-core-editable-check-box
        [editable]="canEdit"
        (confirmEvent)="updateActualEndAuto($event)"
        [sqtmCoreEntityViewEditableCheckbox]="'actualEndAuto'"
        [attr.data-test-field-id]="'actualEndAuto'"
      >
      </sqtm-core-editable-check-box>
      <label class="txt-ellipsis m-l-5">{{
        'sqtm-core.generic.label.auto' | translate
      }}</label>
    </div>
  </div>
}
